JackTrip: RtApi::RtApiStream Struct Reference

JackTrip

Public Member Functions | Public Attributes | List of all members
RtApi::RtApiStream Struct Reference

`#include <RtAudio.h>`

Collaboration diagram for RtApi::RtApiStream:
[legend]

## Public Member Functions
| RtApiStream ()

## Public Attributes
unsigned int | device [2]
void * | apiHandle
StreamMode | mode
StreamState | state
char * | userBuffer [2]
char * | deviceBuffer
bool | doConvertBuffer [2]
bool | userInterleaved
bool | deviceInterleaved [2]
bool | doByteSwap [2]
unsigned int | sampleRate
unsigned int | bufferSize
unsigned int | nBuffers
unsigned int | nUserChannels [2]
unsigned int | nDeviceChannels [2]
unsigned int | channelOffset [2]
unsigned long | latency [2]
RtAudioFormat | userFormat
RtAudioFormat | deviceFormat [2]
StreamMutex | mutex
CallbackInfo | callbackInfo
ConvertInfo | convertInfo [2]
double | streamTime

## Constructor & Destructor Documentation

## ◆ RtApiStream()

RtApi::RtApiStream::RtApiStream | ( |  | ) |
| inline

## Member Data Documentation

## ◆ apiHandle

void* RtApi::RtApiStream::apiHandle

## ◆ bufferSize

unsigned int RtApi::RtApiStream::bufferSize

## ◆ callbackInfo

CallbackInfo RtApi::RtApiStream::callbackInfo

## ◆ channelOffset

unsigned int RtApi::RtApiStream::channelOffset[2]

## ◆ convertInfo

ConvertInfo RtApi::RtApiStream::convertInfo[2]

## ◆ device

unsigned int RtApi::RtApiStream::device[2]

## ◆ deviceBuffer

char* RtApi::RtApiStream::deviceBuffer

## ◆ deviceFormat

RtAudioFormat RtApi::RtApiStream::deviceFormat[2]

## ◆ deviceInterleaved

bool RtApi::RtApiStream::deviceInterleaved[2]

## ◆ doByteSwap

bool RtApi::RtApiStream::doByteSwap[2]

## ◆ doConvertBuffer

bool RtApi::RtApiStream::doConvertBuffer[2]

## ◆ latency

unsigned long RtApi::RtApiStream::latency[2]

## ◆ mode

StreamMode RtApi::RtApiStream::mode

## ◆ mutex

StreamMutex RtApi::RtApiStream::mutex

## ◆ nBuffers

unsigned int RtApi::RtApiStream::nBuffers

## ◆ nDeviceChannels

unsigned int RtApi::RtApiStream::nDeviceChannels[2]

## ◆ nUserChannels

unsigned int RtApi::RtApiStream::nUserChannels[2]

## ◆ sampleRate

unsigned int RtApi::RtApiStream::sampleRate

## ◆ state

StreamState RtApi::RtApiStream::state

## ◆ streamTime

double RtApi::RtApiStream::streamTime

## ◆ userBuffer

char* RtApi::RtApiStream::userBuffer[2]

## ◆ userFormat

RtAudioFormat RtApi::RtApiStream::userFormat

## ◆ userInterleaved

bool RtApi::RtApiStream::userInterleaved

The documentation for this struct was generated from the following file:

- src/RtAudio.h